Skip to content

@kcondon kcondon released this Mar 17, 2016 · 8522 commits to develop since this release

Overview:

This release added one major feature, DataCite API support and several bug fixes and feature enhancements:

  • Added support for creating DOIs using the DataCite API.
  • Improved the installer to include more configuration steps.
  • Addressed a potential security issue involving the default configuration.
  • #2115 Allow log in using email address in addition to username.
  • Check for email address uniqueness regardless of case.
  • Improved performance for the zip download of a large number of files.
  • Allow customizable text for publish dataset popup.
  • Improved performance of user name look up on permissions pages.
  • Allow hiding explore button when two ravens is not configured.
  • Allow disabling google analytics if not needed.
  • Support using DOI as identifier in dataset APIs.
  • Fixed a URL targeting issue for citation links inside a dataverse widget and iframe on remote sites.

Please see the <a href=https://github.com/IQSS/dataverse/issues?q=milestone%3A4.3+is%3Aclosed>4.3 milestone issues list for more information.

Installation:

If this is a new installation, please see our Installation Guide.

Upgrade:

If you are upgrading from v4.x, you must upgrade to each intermediate version before installing this version. When upgrading from the previous version, v4.2.4 you will need to do the following:

  1. First, check for and correct duplicate email addresses, including duplicates due only to different case. This is a new requirement for this version.
    • See remove_duplicate_emails.txt for more information.
  2. Undeploy the previous version.
    • /glassfish4/bin/asadmin list-applications
    • /glassfish4/bin/asadmin undeploy dataverse.war
  3. Deploy this version.
    • /glassfish4/bin/asadmin deploy /dataverse-4.3.war
  4. Run the database update script.
    • psql -U <db user> -d <db name> -f upgrade_v4.2.4_to_4.3.sql
  5. Restart glassfish.
    • service glassfish stop
    • service glassfish start
  6. If you were running Two Ravens, enable it for this version.
  7. Run the incremental index to correct the targeting for citation links.

If you are upgrading from v3.x, you will need to perform a migration to v4.x since our application was redesigned and the database schema are completely different. This is a significant undertaking. Please contact us (support at dataverse.org) before beginning. Also refer to our migration google group for additional support and information: https://groups.google.com/d/msgid/dataverse-migration-wg

Please note: v4.x does not currently support creating new handles though it will support existing ones. We intend to add this feature but have not yet scheduled this work.

Assets 6
You can’t perform that action at this time.